@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
:root {
    --navColor: #4e7dc5;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Montserrat, Verdana, Geneva, Tahoma, sans-serif;
    color: #333;
    
}

html {
    scroll-behavior: smooth;
}

body {
    background-color: #E6E6E6;
    width: 100vw;
    overflow-x: hidden;
}

#complete-wrapper {
    overflow-x: hidden;
}

li{
    list-style-type: none;
}

a {
    text-decoration: none;
    color: var(--navColor);
}

/* Contact Bubbles*/

#contact-bubbles-container {
    position: fixed;
    right: 4rem;
    bottom: 2rem;
    z-index: 1000;
    width: 2rem;
}

#bubble-button {
    width: 4rem;
    height: 4rem;
    background: #4e7dc5;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    bottom: 0;
}

.bubble-button:hover {
    cursor: pointer;
}

.fa-envelope {
    color: white;
    font-size: 1.7rem;
    text-align: center;
    
}


/* Nav */

#main-nav {
    display: flex;
    font-size: 1.4rem;
    width: 100vw;
    position: fixed;
    top: 0;
    background: #E6E6E6;
    z-index: 500;
    transition: top 0.3s
}

.nav-list {
    display: flex;
    justify-content: flex-end;
    width: 100%;
}

.nav-item{
    text-align: center;
    padding: 1.7rem 3rem;
    color: var(--navColor);
    user-select: none;
    font-weight: 480;
    transition: ease 250ms;
}
.nav-item:hover{
    color: #e6e6e6;
    background: var(--navColor);
}

#nav-initials {
    color: var(--navColor);
    margin: 1.5rem 0 0 3rem;
    user-select: none;
}
#nav-initials:hover {
    cursor: default;
}

/* Section 1: Hero */ 

section#hero {
    width: 100vw;
    position: relative;
    top: 5rem;
}


#wave-bg {
    position: absolute;
    bottom: 0;
    background: url("/images/wave.svg") center center/cover;
    width: 100vw;
    height: 60vh;
    z-index: -1;
}

#main-title {
    color: #123B7A;
    font-size: 4rem;
    margin: 2rem 0 0 2.8rem;
}

#main-description {
    margin: 2rem 0 0 2.8rem;
    font-size: 1.8rem;
}

#main-container-videoandcto {
    width: 100vw;
    height: 70vh;
    margin-top: 3rem;
    display: flex;
    justify-content: space-between;
    align-items: space;
}

#main-video {
    margin-left: 2.8rem;
    width: 40%;
    height: 60%;
}

.cto {
    text-align: center;
    margin-top: 5rem;
    width: 40%;
    /* border: 1px solid red; */
}

.cto-button {
    font-size: 1.8rem;
    background-color: #73A2EB;
    color: white;
    font-family: 'Roboto', sans-serif;
    font-weight: 500;
    padding: 1rem 2rem;
}

#meer {
    font-weight: 600;
    margin-bottom: 2rem;
    font-size: 1.5rem;
}


/* Projects Section */

#projecten {
    margin-top: 10rem;
    width: 100vw;
    /* height: 100%; */
    position: relative;
}

.watermark-title {
    font-size: 10rem;
    width: 100%;
    text-align: center;
    opacity: 15%;
}

#outer-wrapper {
    display: flex;
    justify-content: center;    
} 

.all-project-container {
    display: flex ;
    flex-wrap: wrap;
    width: 100%;
    grid-template-columns: auto auto auto auto;
    justify-content: center;
    /* position: absolute;
    top: 200px; */

}

.project {
    position: relative;
    width: 18rem;
    height: auto;
    border-radius: 15%;
    margin: 2rem;
    z-index: 1;
    background-color: #e6efff ;
    
}

.project-img {
    height: 100%;
    width: 100%;
    border-radius: 15%;
    transition: all 150ms;
    transform-origin: 50% 90%;
    z-index: 2;
}

.project:hover .project-img {
    transform: scale(0.5);
}

.project-explanation {
    position: absolute;
    top: 0;
    left: 0;
    text-align: center;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    z-index: -1;
    padding: 2rem 2rem ;
}

.project-description {
    margin-top: 1rem;
}

.project-link {
    font-style: italic;
    font-weight: bold;
    margin-top: 1.2rem;
}

.bubbel {
    background: linear-gradient(#8dc6ff 0%, #7c69b1 100%);
    position: absolute;
    display: inline;
    z-index: -1;
}

#bubbel-1 {
    width: 400px;
    height: 400px;
    border-radius: 50%;
    top: -50px;
    left: -100px;
}

#bubbel-2 {
    width: 300px;
    height: 300px;
    border-radius: 50%;
    top: 450px;
    left: 250px;
}

#bubbel-3 {
    width: 500px;
    height: 500px;
    border-radius: 50%;
    top: 100px;
    left: 650px;
}

#bubbel-4 {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    bottom: 120px;
    right: 50px;
}

#bubbel-5 {
    width: 400px;
    height: 400px;
    border-radius: 50%;
    bottom: 20px;
    left: -10%;
}

/* About */

#about {
    /* height: 160vh; */
    width: 100vw;
    margin-top: 10rem;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.first-container {
    width: 100%;
    display: flex;
    justify-content:center;
    flex-wrap: wrap;
}

.me {
    background-color: #F8F8F8;
    width: 875px;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.16);
    margin-right: 1rem;
    padding-bottom: 1.5rem;
}

#profile-image {
    width: 116.5px;
    height: 116.5px;
    margin: 2rem 0 0 3rem; 
}

#myname {
    font-family: Montserrat;
    font-weight: 600;
    font-size: 22px;
    line-height: 38px;
}

#myage {
    font-family: Montserrat;
    font-weight: normal;
    font-style: italic;
    font-size: 22px;
    line-height: 38px;

}

#me-header {
    display: flex;
    align-items: center;
}

#me-header-text {
    margin: 1.3rem 0 0 2rem;
}

#me-text-title {
    font-family: Montserrat;
    font-weight: 600;
    font-size: 19px;
    margin-bottom: 2rem;
}

#me-text {
    margin: 1.2rem 0 1.2rem 3rem;
}

#cooperation {
    background: #F8F8F8;
    width: 400px;
    height: 345px;
    display: flex;
    flex-direction: column;
    align-items: center;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.16);
    margin-left: 2rem;
}

#title-coop {
    font-family: Montserrat;
    font-weight: bold;
    font-size: 19px;
    line-height: 33px;
    text-align: center;
    margin-top: 2.4rem;
}

#cgmlogo {
    width: 220px;
    height: 118px;
    margin: 2rem 1rem 0 0;
}

.skill-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    margin-top: 10rem;
    margin-left: 1rem;
    position: relative;
    z-index: 100;
}

.background {
    width: 100vw;
    height: 80%;
    z-index: -100;
    position: absolute;
    bottom: 0;
    background: linear-gradient(#8dc6ff 0%, #5e7aa5 100%);
}

.skill-text {
    font-weight: 600;
    font-size: 1.2rem;
    text-align: center;
    color: rgb(97, 97, 97);
    padding: 2rem;
}

.skill-title {
    font-family: Montserrat;
    font-weight: 600;
    font-size: 1.7rem;
    text-align: center;
    color: #4e7dc5;
    margin-top: 1.8rem;
}

.skill {
    background: #F8F8F8;
    height: 35rem;
    width: 400px;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.16);
    visibility: hidden;
    margin: 2rem;
}

.skill {
    opacity: 0;
    transform: translateY(-15vh);
    visibility: hidden;
    transition: opacity 0.6s ease-out, transform 1.2s ease-out;
    will-change: opacity, visibility;
  }

.skill.is-visible {
    opacity: 1;
    transform: none;
    visibility: visible;
  }


.skill-item-container {
    display: flex;
    flex-direction: column;
    margin-top: 1.2rem;
}

.skill-item {
    margin: 0.5rem;
    font-weight: 600;
    display: flex;
    width: 100%;
    justify-content: center;
    padding-right: 1.8rem;
    margin: 0.8rem;
}

#skill-item-img {
    border-radius: 0;
    width: 40px;
    height: 40px;
    display: inline;
    margin: 0 8rem 0 1rem;
}

#skill-item-text {
    margin-top: 0.6rem;
    width: 100%;
    text-align: right;
    font-weight: 600;
}

/* Contact */

#contact{
    position: relative;
    /* height: 100vh; */
    width: 100vw;
    margin-top: 4rem;
}

.contact-container{
    /* height: 65vh; */
    width: 100vw;
    margin-top: 4rem;
    margin-bottom: 4rem;
    display: flex;
    align-items: center;
}

.contact-container > form{
    width: 43vw;
    margin-left: 5rem;
}

input{
    border: #333 solid 5px;
    margin: 0 0 1.5rem 0;
    height: 2.5rem;
    padding-left: .6rem;
    outline: none;
    background-color: white;
    font-family: "Montserrat";
}

input:focus{
    border: 5px solid #123B7A;
}

textarea{
    border: 5px solid #333;
    margin: 0rem 0rem.8rem 0;
    padding-left: .6rem;
    padding-top: 0.2rem;
    width: 100%;
    font-size: 1rem;
    font-family: "Montserrat";
    resize: none;
}

textarea:focus{
    outline: none;
    border: 5px solid #123B7A;
}

input#submit{
    padding-right: .6rem;
    font-weight: 700;
    width: 50%;
    margin-top: 1.3rem;
}

input#submit:hover{
    background-color: #123B7A;
    color: white;
    border: none;
}


.container-input{
   display: flex;
   justify-content: space-between;
}

.voornaam, .naam{
    width: 47%;
}

.voornaam > input, .naam > input{
    width: 100%;
}

.email > input{
    width: 100%;
    margin-top: 1.2rem;
}

.submit-div{
    display: flex;
    justify-content: center;
}

.input-div, .email, .message{
    position: relative;
}

.word-counter{
    position: absolute;
    bottom: 20px;
    right: 9px;
}

label{
    position: absolute;
    top: 0;
    left: 4px;
    margin: 0.65rem 0 1.5rem 0;
    height: 2.5rem;
    padding-left: .6rem;
    outline: none;
    font-family: "Montserrat";
    z-index: 1;
    opacity: .7;
    font-size: 0.9rem;
    transition: .5s;
}

#email-tekst{
    top: 20px;
    left: 4px;
}

input:focus ~ #email-tekst{
    top: -10px;
    color: #123B7A;
    font-weight: 600;
    left: -5px;
}

input:valid ~ #email-tekst{
    color: #333;
    top: -10px;
    left: -5px;
}

input:focus ~ label{
    top: -30px;
    color: #123B7A;
    font-weight: 600;
    left: -5px;
}

input:valid ~ label{   
    color: #333;
    top: -30px;
    left: -5px;
}

textarea:focus::placeholder{
    color: #123B7A;
}

label:hover{
    cursor: text;
}

.submit-error{
    color: #BE2E2E;
    font-family: "Montserrat";
    font-weight: 500;
    font-size: .8rem;
    position: absolute;
    top: 2.5rem;
    left: 0;
    display: none;
}

.error3{
    top: 3.7rem;
}

.error4{
    top: 13rem;
}

.social-media {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 60%;
    width: 30vw;
    border-left: 2px solid #333;
    margin-left: 15rem;
    margin-top: 3rem;
    padding-bottom: 1.2rem;
}

i.fab {
    margin: 1.4rem;
    margin-left: -3rem;
    font-size: 1.8rem;
    background-color: #f1f0f0;
    border-radius: 50%;
    padding: 1.1rem;
    transition: all 200ms;
}

i.fab:hover {
    background-color: #333;
    color: #f1f0f0;
}

/* Footer */

#footer {
    background: #333;
    height: 15vh;
    display: flex;
}

.copyright {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

#copy {
    color: white;
    font-weight: 400;
    font-size: 1.3rem;
    text-align: center;
}

@media screen and (max-width: 1407px) {
 .skill {
    transform: translateY(-5vh);
    visibility: hidden;
    transition: opacity 0.3s ease-out, transform 0.5s ease-out;
    will-change: opacity, visibility;
 }
}

@media screen and (max-width: 1322px) {
    #cooperation {
        margin: 3rem 0 0 0;
    }
}

@media screen and (max-width: 1248px) {
    .watermark-title {
        font-size: 7rem;
        margin-top: -3rem;
    }
}


@media screen and (max-width: 944px) {
    .bubbel {
        display: none;
    }
    #wave-bg {
        display: none;
    }
    #title-linebreak {
        display: none;
    }
    #main-container-videoandcto {
        flex-direction: column;
        align-items: center;
    }
    #main-video {
        margin: 0;
        width: 80%;
        height: 50vh;
    }
    #main-title {
        text-align: center;
        margin: 2rem 0 0 0;
        font-size: 3rem;
    }
    #main-description {
        text-align: center;
        margin: 2rem 0 0 0;
        font-size: 1.5rem;
    }
    .cto {
        width: 100%;
    }
    #contact-bubbles-container {
        display: none;
    }
    .me {
        margin: 2rem;
    }
}

@media screen and (max-width: 874px) {
    .watermark-title {
        font-size: 4rem;
        margin-top: 5%;
        white-space: nowrap;
    }
    .my-work-title {
        margin-top: 20%;
    }
    .all-project-container {
        top: 80px;
    }
    #projecten {
        margin-top: 0;
    }
    .contact-container {
        flex-direction: column;
        align-items: center;
    }
    .contact-container > form {
        width: 80%;
        margin: 0 0 0 0;
    }
    .voornaam, .naam{
        width: 100%;
        margin-top: 8px;
    }
    .container-input {
        flex-direction: column;
    }
    .social-media {
        flex-direction: row;
        justify-content: center;
        width: 100%;
        margin: 0;
        margin-top: 4rem;
        border-left: none;
    }
    i.fab {
        margin: 0 2rem;
    }
}

@media screen and (max-width: 850px) {
    #nav-initials {
        display: none;
    }
    .nav-list {
        justify-content: center;
    }
}

@media screen and (max-width: 754px){
    #nav-home {
        display: none;
    }


}

@media screen and (max-width: 704px) {
    #projecten {
        margin-top: 0;
    }
    .about-linebreak {
        display: none;
    }
    #me-header {
        flex-direction: column;
        justify-content: center;
    }
    #me-text-title {
        text-align: center;
    }
    #me-text-paragraph {
        text-align: center;
        padding: 0 25px;
    }
    #profile-image {
        margin: 2rem 0 0 1rem;
    }
    #me-header-text {
        margin: 1.3rem 0 0 0;
        text-align: center;
    }
    #me-text {
        margin: 1.2rem 0;
    }
    .nav-item {
        padding: 2rem 1rem;
    }
}

@media screen and (max-width: 400px) {
    .my-work-title {
        font-size: 3rem;
        margin-top: 9rem;
    }
}